TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

HenselLift ( elt-alg^pol F, elt-res^pad x ) -> elt-res^pad

### Description

<shortdoc> Hensel lift x, an approximate root of F which satisfies the Hensel condition, to a root of F known to the full precision of the parent of x.. </shortdoc>

### Examples

x_Z5:= pAdicRing(5);;x_Z5Q:= Quotient(x_Z5,5^3); x_Z5P:= PolynomialAlgebra(x_Z5Q);;x_f:= x_Z5P.1^2 +1;; x_x:= Element(x_Z5Q,2);; HenselLift(x_f,x_x);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack